.model small
.386
.stack

.data

include dados.inc
include pontv.inc

.code

include som.asm
include funcoes.inc
include Grafico.inc
include menu.inc
include Fases.inc
include pont.inc


jogo :

    mov AX, @data
    mov DS, AX
    set_video

    call SetarInt15                 ;muda a intrrupçõ 15h
    call SetarInt1C

    ;Apresenta tela_dat, tela_pal, tela_texto, tela_posx, tela_posy, tela_texto_cor
    Apresenta histreal_dat, histreal_pal, hist, 55, 95, 0ffh
    espera_tempo 4
    ;call CoolDown

    Apresenta amigos_dat, amigos_pal, amigos, 12, 3, 0c7h
    espera_tempo 4
    ;call CoolDown

    Apresenta desbrava_dat, desbrava_pal, desbrava, 12, 3, 002h
    espera_tempo 7
    ;call CoolDown

    Apresenta mulher_dat, mulher_pal, mulher, 12, 12, 0d9h
    espera_tempo 9
    ;call CoolDown

    Apresenta namoro_dat, namoro_pal, namoro, 12, 150, 0ffh
    espera_tempo 12
    ;call CoolDown

    Apresenta duelo_dat, duelo_pal, duelo, 12, 160, 002h
    espera_tempo 13
    ;call CoolDown

vaiProMenu:
    call ResetarInt15                 ;muda a intrrupçõ 15h
    call ResetarInt1C
    ler_arquivo ArqScore, ScName1, Arqtam      ;lê a infomaçao dos recordes do arquivo e joga para a memoria

    call menu

end jogo





END



